Install Internet Explorer in Ubuntu, The Easiest Way

Posted in:Tips 'n Tricks

Update: Latest IEs4Linux package (version 2.99.0.1) is released with fixes for blank screen bug. This update is included in the post below. 

Installing Internet Explorer for Linux distros is still not an easy thing to do, especially for the newer versions, say, IE7 or IE8. Firefox is an open source alternative which is not only a better web browser but also a more secure one as well. Mostly you will have to install IE in your linux machine for some testing purposes or because some sites dont show up properly in browsers other than IE. If that is the reason for you to install IE in Ubuntu, IEs4Linux is the way out.

With the help of IEs4Linux you could install IE 5, IE 5.5 and IE 6 in you Ubuntu 8.10 or any other Linux distro without any complications at all.  Take a look at the required steps we have compiled. IEs4Linux requires two packages, the latest version of  wine and cabextract.

Installing the latest version of wine

  • Goto System->Administration->Software Sources and select the Third-Party Software tab.
  • Now click the ADD button and add the following repo.

            For Ubuntu Jaunty (9.04):

deb http://wine.budgetdedicated.com/apt jaunty main #WineHQ - Ubuntu 9.04 "Jaunty Jackalope"

            For Ubuntu Intrepid (8.10):

deb http://wine.budgetdedicated.com/apt intrepid main #WineHQ - Ubuntu 8.10 "Intrepid Ibex"

            For Ubuntu Hardy (8.04):

deb http://wine.budgetdedicated.com/apt hardy main #WineHQ - Ubuntu 8.04 "Hardy Heron"

            

  • Close it and Reload when prompted to.
  • Now download the save gpg key . ( Right click and save it to Desktop )
  • Open the Authentication Tab and select Click Import Key File.

               

  • Again Close it and Reload when prompted to.
  • Goto Synaptic Package Manager and install Wine. The latest version of wine will thus be installed .

Installing Cabextract 

  • To install cabextract in Ubuntu 8.10, simply go to terminal and type as follows.                      
         sudo apt-get install cabextract

                                                      OR  

  • You could also use synaptic package manager to install these packages.

                      System->Administration->Synaptic Package Manager

Installing IEs4Linux

  • The downloaded item will be a tar.gz package and you will have to Extract the downloaded file to your desktop(preferably)
  • Now go to the extracted folder and double-click on the file with the name 'ies4linux'.
  • Hit 'Run' or 'Run in Terminal.'
  • It will show options for installing IE 6, IE 5.5 or IE 5.

              

  • After choosing the version of IE you want from the above menu, click OK and wait for the operation to finish.
  • Hope it have helped you. Please let us know about any issues while doing this. :-)
Press the button below if you liked this site.
webmaster's picture

The brains or the lack of it behind Ubuntu Manual. Crazy about Linux, hates windows except for the fact that it runs many of his favorite games by default. Loves blogging

writeforus